> For the complete documentation index, see [llms.txt](https://docs.zapsign.com.br/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zapsign.com.br/facilitadores/sdks/sdk-em-java/requisicoes-para-documentos/detaildoc.md).

# detailDoc

### Visão geral

Parâmetros:&#x20;

* String - token do documento

Retorno:

* [docResponse ](/facilitadores/sdks/sdk-em-java/classes-usadas/response/docresponse.md)- caso sucesso
* Exception - caso falha

Para criar esse documento precisamos:

* definir seu token api.
* token do documento.
* chamar o método.

### Uso:

Importe os componentes relevantes:

```
import docs.DocRequests;
import response.DocResponse;

import services.JsonConverter;
```

Salve seu [Api Token](/master.md):

```
String apiToken = "SEU TOKEN";
```

Salve o token do documento original:

```
String docToken = "TOKEN DOCUMENTO"
```

Chame o método detailDoc e receba como resposta a classe [DocResponse ](/facilitadores/sdks/sdk-em-java/classes-usadas/response/docresponse.md)ou uma mensagem de erro:

```
try {
    DocResponse docResponse = new DocRequests(apiToken).detailDoc(docToken);

    String jsonDocResponse = new JsonConverter().docResponseToJson(docResponse);
    System.out.println(jsonDocResponse);
}
catch(Exception exceptionError) {
    System.out.println(exceptionError.getMessage());
}
```

### Exemplo completo:

```
import docs.DocRequests;
import response.DocResponse;
import services.JsonConverter;

public class DetailDoc {
    public static void main(String[] args) throws Exception {
    String apiToken = "SEU TOKEN";
    String docToken = "TOKEN DOCUMENTO"

        try {
            DocResponse docResponse = new DocRequests(apiToken).detailDoc(docToken);

            String jsonDocResponse = new JsonConverter().docResponseToJson(docResponse);
            System.out.println(jsonDocResponse);
        }
        catch(Exception exceptionError) {
            System.out.println(exceptionError.getMessage());
        }
    }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.zapsign.com.br/facilitadores/sdks/sdk-em-java/requisicoes-para-documentos/detaildoc.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
